> ## Documentation Index > Fetch the complete documentation index at: https://docs.restaurant365.com/llms.txt > Use this file to discover all available pages before exploring further. # /public/v1/waste-logs > Retrieves all waste logs ## OpenAPI ````json GET /public/v1/waste-logs { "openapi": "3.0.1", "info": { "title": "R365.PublicApi", "contact": { "name": "R365 Services Team", "email": "r365@restaurant365.com" }, "version": "1.0" }, "security": [ { "Bearer": [] } ], "paths": { "/public/v1/waste-logs": { "get": { "tags": [ "inventory" ], "description": "Retrieves all waste logs", "parameters": [ { "name": "modifiedOnStart", "in": "query", "description": "Starting datetime of 'modifiedOn' range; must be accompanied by 'modifiedOnEnd'", "schema": { "type": "string($date-time)" } }, { "name": "modifiedOnEnd", "in": "query", "description": "Ending datetime of 'modifiedOn' range; must be accompanied by 'modifiedOnStart'", "schema": { "type": "string($date-time)" } }, { "name": "businessDateStart", "in": "query", "description": "Starting date of 'businessDate' range; must be accompanied by 'businessDateEnd'", "schema": { "type": "string($date)" } }, { "name": "businessDateEnd", "in": "query", "description": "Ending date of 'businessDate' range; must be accompanied by 'businessDateStart'", "schema": { "type": "string($date)" } }, { "name": "status", "in": "query", "description": "Filter for 'status' property, one of 'In Progress', 'Completed', or 'Approved'", "schema": { "type": "string" } }, { "name": "number", "in": "query", "description": "Filter for 'number' property", "schema": { "type": "string" } }, { "name": "locationIds", "in": "query", "description": "Identifier of the location to filter by", "schema": { "type": "string($uuid)" } }, { "name": "pageSize", "in": "query", "description": "Maximum number of top level objects in the response, max value 250; if there are more objects matching the criteria, a link with a continuation token will be included in the response", "schema": { "type": "integer($int32)" } }, { "name": "continuationToken", "in": "query", "description": "", "schema": { "type": "string" } } ], "responses": { "200": { "description": "list of waste log entities", "content": { "text/plain": { "schema": { "$ref": "#/components/schemas/R365.Inventory.Public.Contracts.WasteLogs.Apis.PublicWasteLogsResponse" } }, "application/json": { "schema": { "$ref": "#/components/schemas/R365.Inventory.Public.Contracts.WasteLogs.Apis.PublicWasteLogsResponse" } }, "text/json": { "schema": { "$ref": "#/components/schemas/R365.Inventory.Public.Contracts.WasteLogs.Apis.PublicWasteLogsResponse" } } } }, "403": { "description": "Forbidden", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/R365.Inventory.Public.Models.ProblemDetails" } } } }, "422": { "description": "Unprocessable Content", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/R365.Inventory.Public.Models.R365Error" } } } } } } } }, "components": { "schemas": { "R365.Inventory.Public.Contracts.WasteLogs.Apis.PublicWasteLogsResponse": { "type": "object", "properties": { "items": { "type": "array", "items": { "$ref": "#/components/schemas/R365.Inventory.Public.Contracts.WasteLogs.Models.WasteLogPublicDto" }, "nullable": true, "description": "Collection of public waste logs records returned in this page." }, "nextLink": { "type": "string", "nullable": true, "description": "URL to retrieve the next page of results, or null when this is the last page." } }, "additionalProperties": false, "description": "A response containing waste logs." }, "R365.Inventory.Public.Models.ProblemDetails": { "type": "object", "properties": { "type": { "type": "string", "nullable": true }, "title": { "type": "string", "nullable": true }, "status": { "type": "integer", "format": "int32", "nullable": true, "description": "Current status of the problem details." }, "detail": { "type": "string", "nullable": true }, "instance": { "type": "string", "nullable": true } } }, "R365.Inventory.Public.Models.R365Error": { "type": "object", "properties": { "errorCode": { "type": "string", "nullable": true }, "innerError": { "$ref": "#/components/schemas/R365.Inventory.Public.Models.R365Error" } } }, "R365.Inventory.Public.Contracts.WasteLogs.Models.WasteLogPublicDto": { "type": "object", "properties": { "id": { "type": "integer", "description": "The unique identifier for the Waste Log.", "format": "int64" }, "number": { "type": "string", "description": "Waste Log Number.", "nullable": true }, "template": { "$ref": "#/components/schemas/R365.Inventory.Public.Contracts.WasteLogs.Models.WasteLogTemplateReferencePublicDto" }, "date": { "type": "string", "description": "Waste Log Date.", "format": "date-time" }, "location": { "$ref": "#/components/schemas/R365.Inventory.Shared.Contracts.Locations.LocationReference" }, "totalAmount": { "type": "number", "description": "Total Amount.", "format": "double" }, "lastComment": { "type": "string", "description": "Last Comment.", "nullable": true }, "status": { "type": "string", "description": "status.", "nullable": true }, "transactionId": { "type": "string", "description": "The transaction id for the Waste Log.", "format": "uuid", "nullable": true }, "details": { "type": "array", "items": { "$ref": "#/components/schemas/R365.Inventory.Public.Contracts.WasteLogs.Models.WasteLogDetailPublicDto" }, "description": "List of Waste Log Details.", "nullable": true }, "completedBy": { "$ref": "#/components/schemas/R365.Inventory.Shared.Contracts.Users.UserReference", "description": "User who completed the waste log." }, "completedOn": { "type": "string", "description": "The date and time the waste log was completed.", "format": "date-time", "nullable": true }, "createdBy": { "$ref": "#/components/schemas/R365.Inventory.Shared.Contracts.Users.UserReference", "description": "User who created the waste log." }, "createdOn": { "type": "string", "description": "The date and time the waste log was created.", "format": "date-time" }, "modifiedBy": { "$ref": "#/components/schemas/R365.Inventory.Shared.Contracts.Users.UserReference", "description": "User who last modified the waste log." }, "modifiedOn": { "type": "string", "description": "The date and time the waste log was last modified.", "format": "date-time", "nullable": true }, "approvedBy": { "$ref": "#/components/schemas/R365.Inventory.Shared.Contracts.Users.UserReference", "description": "User who approved the waste log." }, "approvedOn": { "type": "string", "description": "The date and time the waste log was approved.", "format": "date-time", "nullable": true } }, "additionalProperties": false, "description": "Waste Log" }, "R365.Inventory.Public.Contracts.WasteLogs.Models.WasteLogTemplateReferencePublicDto": { "type": "object", "properties": { "id": { "type": "integer", "format": "int64", "description": "Unique identifier of the waste log template." }, "name": { "type": "string", "nullable": true, "description": "Display name of the waste log template." } }, "additionalProperties": false, "description": "A reference to a Waste Log Template." }, "R365.Inventory.Shared.Contracts.Locations.LocationReference": { "type": "object", "properties": { "id": { "type": "string", "description": "The id of the location.", "format": "uuid" }, "name": { "type": "string", "description": "The name of the location.", "nullable": true }, "number": { "type": "string", "description": "The location number.", "nullable": true } }, "additionalProperties": false, "description": "Represents a reference to a location." }, "R365.Inventory.Public.Contracts.WasteLogs.Models.WasteLogDetailPublicDto": { "type": "object", "properties": { "id": { "type": "integer", "description": "The unique identifier for the Waste Log detail.", "format": "int64" }, "item": { "$ref": "#/components/schemas/R365.Inventory.Public.Contracts.InventoryCounts.Models.PublicItemReference" }, "unitOfMeasure": { "$ref": "#/components/schemas/R365.Inventory.Shared.Contracts.UnitsOfMeasure.UnitOfMeasureReference" }, "costAccount": { "$ref": "#/components/schemas/R365.Inventory.Shared.Contracts.Accounting.GeneralLedgerAccountReference" }, "wasteAccount": { "$ref": "#/components/schemas/R365.Inventory.Shared.Contracts.Accounting.GeneralLedgerAccountReference" }, "quantity": { "type": "number", "description": "Quantity.", "format": "double" }, "eachAmount": { "type": "number", "description": "Each Amount.", "format": "double" }, "totalAmount": { "type": "number", "description": "Total Amount.", "format": "double" }, "comment": { "type": "string", "description": "Comment.", "nullable": true } }, "additionalProperties": false, "description": "Waste Log Detail" }, "R365.Inventory.Shared.Contracts.Users.UserReference": { "type": "object", "properties": { "id": { "type": "string", "description": "The unique identifier of the user.", "format": "uuid" }, "name": { "type": "string", "description": "The name of the user.", "nullable": true } }, "additionalProperties": false, "description": "A reference to a user." }, "R365.Inventory.Public.Contracts.InventoryCounts.Models.PublicItemReference": { "type": "object", "properties": { "id": { "type": "string", "format": "uuid", "description": "Unique identifier of the public item." }, "name": { "type": "string", "nullable": true, "description": "Display name of the public item." }, "number": { "type": "string", "nullable": true, "description": "Number assigned to the public item." }, "itemType": { "type": "string", "nullable": true } }, "additionalProperties": false, "description": "A reference to an item." }, "R365.Inventory.Shared.Contracts.UnitsOfMeasure.UnitOfMeasureReference": { "type": "object", "properties": { "id": { "type": "string", "format": "uuid", "description": "Unique identifier of the unit of measure." }, "name": { "type": "string", "nullable": true, "description": "Display name of the unit of measure." } }, "additionalProperties": false, "description": "A reference to a unit of measure." }, "R365.Inventory.Shared.Contracts.Accounting.GeneralLedgerAccountReference": { "type": "object", "properties": { "id": { "type": "string", "format": "uuid", "description": "Unique identifier of the general ledger account." }, "name": { "type": "string", "nullable": true, "description": "Display name of the general ledger account." }, "number": { "type": "string", "nullable": true, "description": "Number assigned to the general ledger account." } }, "additionalProperties": false, "description": "A reference to a General Ledger Account." } }, "securitySchemes": { "Bearer": { "type": "http", "description": "Put **_ONLY_** your JWT Bearer token on textbox below!", "scheme": "Bearer", "bearerFormat": "JWT" } } } } ````